<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__mem_8h" kind="file" language="C++">
    <compoundname>cy_crypto_core_mem.h</compoundname>
    <includes local="yes" refid="cy__crypto__common_8h">cy_crypto_common.h</includes>
    <includes local="yes" refid="cy__crypto__core__mem__v1_8h">cy_crypto_core_mem_v1.h</includes>
    <includes local="yes" refid="cy__crypto__core__mem__v2_8h">cy_crypto_core_mem_v2.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw_8h">cy_crypto_core_hw.h</includes>
    <includedby local="yes" refid="cy__crypto__core_8h">cy_crypto_core.h</includedby>
    <includedby local="yes" refid="cy__crypto__core__ecc__ecdsa_8c">cy_crypto_core_ecc_ecdsa.c</includedby>
    <includedby local="yes" refid="cy__crypto__core__rsa_8c">cy_crypto_core_rsa.c</includedby>
    <includedby local="yes" refid="cy__crypto__core__vu_8c">cy_crypto_core_vu.c</includedby>
    <includedby local="yes" refid="cy__crypto__server_8c">cy_crypto_server.c</includedby>
      <sectiondef kind="typedef">
      <memberdef id="cy__crypto__core__mem_8h_1a458f569441be7c2a8c24bdccef9a6a07" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_crypto_memcpy_func_t) (CRYPTO_Type *base, void *dst, void const *src, uint16_t size)</definition>
        <argsstring>)(CRYPTO_Type *base, void *dst, void const *src, uint16_t size)</argsstring>
        <name>cy_crypto_memcpy_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="42" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="42" />
      </memberdef>
      <memberdef id="cy__crypto__core__mem_8h_1ab870abf7b2e3b95c149884e043cddf13" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_crypto_memset_func_t) (CRYPTO_Type *base, void *dst, uint8_t data, uint16_t size)</definition>
        <argsstring>)(CRYPTO_Type *base, void *dst, uint8_t data, uint16_t size)</argsstring>
        <name>cy_crypto_memset_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="44" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="44" />
      </memberdef>
      <memberdef id="cy__crypto__core__mem_8h_1a4c674676b7355f1a7b4ba9a32793cd9c" kind="typedef" prot="public" static="no">
        <type>uint32_t(*</type>
        <definition>typedef uint32_t(* cy_crypto_memcmp_func_t) (CRYPTO_Type *base, void const *src0, void const *src1, uint16_t size)</definition>
        <argsstring>)(CRYPTO_Type *base, void const *src0, void const *src1, uint16_t size)</argsstring>
        <name>cy_crypto_memcmp_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="46" />
      </memberdef>
      <memberdef id="cy__crypto__core__mem_8h_1a6eef850ec27a11a4126870259adb958a" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_crypto_memxor_func_t) (CRYPTO_Type *base, void *dst, void const *src0, void const *src1, uint16_t size)</definition>
        <argsstring>)(CRYPTO_Type *base, void *dst, void const *src0, void const *src1, uint16_t size)</argsstring>
        <name>cy_crypto_memxor_func_t</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="48" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__mem__functions_1ga2a34cb65f8bc94c4c68b3c4bd384e375" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_MemCpy</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, void const *src, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_MemCpy</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemCpy uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>Memory structures should not overlap! There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemCpy.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source of MemCpy.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the copy operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="87" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="77" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__mem__functions_1ga124378fe993bb15ea0fe657a1c4ba33f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_MemSet</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, uint8_t data, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_MemSet</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemSet uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemSet.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to be set.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the set operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="119" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__mem__functions_1ga6ad5530dd2e90ea0ed5f29284d040843" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_MemCmp</definition>
        <argsstring>(CRYPTO_Type *base, void const *src0, void const *src1, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_MemCmp</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src0</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src1</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemCmp uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src0</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the first source of MemCmp.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src1</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the second source of MemCmp.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>the size in bytes of the compare operation.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>0 - if Source 1 = Source 2, 1 - if not. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="157" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="144" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__mem__functions_1gadbdb5f2f1f637f16483d119beb7df424" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_MemXor</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, void const *src0, void const *src1, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_MemXor</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src0</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src1</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemXor uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>Memory structures should not overlap! There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src0</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the first source of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src1</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the second source of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the compare operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="194" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="183" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="183" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides the headers for the memory management API in the Crypto driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#if<sp />!defined(CY_CRYPTO_CORE_MEM_H)</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CY_CRYPTO_CORE_MEM_H</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_common.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_mem_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_mem_v2.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*cy_crypto_memcpy_func_t)(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="43"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*cy_crypto_memset_func_t)(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="45"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,<sp />uint8_t<sp />data,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />uint32_t<sp />(*cy_crypto_memcmp_func_t)(CRYPTO_Type<sp />*base,</highlight></codeline>
<codeline lineno="47"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src0,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src1,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="48"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*cy_crypto_memxor_func_t)(CRYPTO_Type<sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src0,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src1,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="57"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_MemCpy</highlight></codeline>
<codeline lineno="58"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="77"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__mem__functions_1ga2a34cb65f8bc94c4c68b3c4bd384e375">Cy_Crypto_Core_MemCpy</ref>(CRYPTO_Type<sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,<sp />uint16_t<sp />size)</highlight></codeline>
<codeline lineno="78"><highlight class="normal">{</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemCpy(base,<sp />dst,<sp />src,<sp />size);</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V2_MemCpy(base,<sp />dst,<sp />src,<sp />size);</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="87"><highlight class="normal">}</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="90"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_MemSet</highlight></codeline>
<codeline lineno="91"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="109"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__mem__functions_1ga124378fe993bb15ea0fe657a1c4ba33f">Cy_Crypto_Core_MemSet</ref>(CRYPTO_Type<sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,<sp />uint8_t<sp />data,<sp />uint16_t<sp />size)</highlight></codeline>
<codeline lineno="110"><highlight class="normal">{</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemSet(base,<sp />dst,<sp />data,<sp />size);</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V2_MemSet(base,<sp />dst,<sp />data,<sp />size);</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="119"><highlight class="normal">}</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="122"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_MemCmp</highlight></codeline>
<codeline lineno="123"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="144"><highlight class="normal">__STATIC_INLINE<sp />uint32_t<sp /><ref kindref="member" refid="group__group__crypto__lld__mem__functions_1ga6ad5530dd2e90ea0ed5f29284d040843">Cy_Crypto_Core_MemCmp</ref>(CRYPTO_Type<sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src0,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src1,<sp />uint16_t<sp />size)</highlight></codeline>
<codeline lineno="145"><highlight class="normal">{</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />tmpResult;</highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V1_MemCmp(base,<sp />src0,<sp />src1,<sp />size);</highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />Cy_Crypto_Core_V2_MemCmp(base,<sp />src0,<sp />src1,<sp />size);</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="155"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(tmpResult);</highlight></codeline>
<codeline lineno="157"><highlight class="normal">}</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="160"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_MemXor</highlight></codeline>
<codeline lineno="161"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="183"><highlight class="normal">__STATIC_INLINE<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__mem__functions_1gadbdb5f2f1f637f16483d119beb7df424">Cy_Crypto_Core_MemXor</ref>(CRYPTO_Type<sp />*base,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp />dst,</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src0,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src1,<sp />uint16_t<sp />size)</highlight></codeline>
<codeline lineno="185"><highlight class="normal">{</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="187"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V1_MemXor(base,<sp />dst,<sp />src0,<sp />src1,<sp />size);</highlight></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V2_MemXor(base,<sp />dst,<sp />src0,<sp />src1,<sp />size);</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="194"><highlight class="normal">}</highlight></codeline>
<codeline lineno="195"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal">}</highlight></codeline>
<codeline lineno="200"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="normal" /></codeline>
<codeline lineno="204"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />!defined(CY_CRYPTO_CORE_MEM_H)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" />
  </compounddef>
</doxygen>